  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 1;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (Model210_DT_PID_P)
    ;%
      section.nData     = 31;
      section.data(31)  = dumData; %prealloc
      
	  ;% Model210_DT_PID_P.SFunction_P1_Size
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% Model210_DT_PID_P.SFunction_P1
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 2;
	
	  ;% Model210_DT_PID_P.SFunction_P2_Size
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 8;
	
	  ;% Model210_DT_PID_P.SFunction_P2
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 10;
	
	  ;% Model210_DT_PID_P.SFunction_P3_Size
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 11;
	
	  ;% Model210_DT_PID_P.SFunction_P3
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 13;
	
	  ;% Model210_DT_PID_P.SFunction_P4_Size
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 14;
	
	  ;% Model210_DT_PID_P.SFunction_P4
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 16;
	
	  ;% Model210_DT_PID_P.getpositions_Gain
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 17;
	
	  ;% Model210_DT_PID_P.scale1_Gain
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 32;
	
	  ;% Model210_DT_PID_P.getangles_Gain
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 33;
	
	  ;% Model210_DT_PID_P.scale2_Gain
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 38;
	
	  ;% Model210_DT_PID_P.getallstates_Gain
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 39;
	
	  ;% Model210_DT_PID_P.getdesiredstates_Gain
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 103;
	
	  ;% Model210_DT_PID_P.UnitDelay_X0
	  section.data(15).logicalSrcIdx = 14;
	  section.data(15).dtTransOffset = 119;
	
	  ;% Model210_DT_PID_P.C_Gain
	  section.data(16).logicalSrcIdx = 15;
	  section.data(16).dtTransOffset = 120;
	
	  ;% Model210_DT_PID_P.Input_Time
	  section.data(17).logicalSrcIdx = 16;
	  section.data(17).dtTransOffset = 123;
	
	  ;% Model210_DT_PID_P.Input_Y0
	  section.data(18).logicalSrcIdx = 17;
	  section.data(18).dtTransOffset = 124;
	
	  ;% Model210_DT_PID_P.Input_YFinal
	  section.data(19).logicalSrcIdx = 18;
	  section.data(19).dtTransOffset = 125;
	
	  ;% Model210_DT_PID_P.Gpf_Gain
	  section.data(20).logicalSrcIdx = 19;
	  section.data(20).dtTransOffset = 126;
	
	  ;% Model210_DT_PID_P.DiscreteFilter_InitialStates
	  section.data(21).logicalSrcIdx = 20;
	  section.data(21).dtTransOffset = 127;
	
	  ;% Model210_DT_PID_P.DiscreteFilter_Numerator
	  section.data(22).logicalSrcIdx = 21;
	  section.data(22).dtTransOffset = 128;
	
	  ;% Model210_DT_PID_P.DiscreteFilter_Denominator
	  section.data(23).logicalSrcIdx = 22;
	  section.data(23).dtTransOffset = 129;
	
	  ;% Model210_DT_PID_P.DiscreteFilter1_InitialStates
	  section.data(24).logicalSrcIdx = 23;
	  section.data(24).dtTransOffset = 131;
	
	  ;% Model210_DT_PID_P.DiscreteFilter1_Numerator
	  section.data(25).logicalSrcIdx = 24;
	  section.data(25).dtTransOffset = 132;
	
	  ;% Model210_DT_PID_P.DiscreteFilter1_Denominator
	  section.data(26).logicalSrcIdx = 25;
	  section.data(26).dtTransOffset = 134;
	
	  ;% Model210_DT_PID_P.Dac2Value_Value
	  section.data(27).logicalSrcIdx = 26;
	  section.data(27).dtTransOffset = 135;
	
	  ;% Model210_DT_PID_P.Kp_Gain
	  section.data(28).logicalSrcIdx = 27;
	  section.data(28).dtTransOffset = 136;
	
	  ;% Model210_DT_PID_P.scale_Gain
	  section.data(29).logicalSrcIdx = 28;
	  section.data(29).dtTransOffset = 137;
	
	  ;% Model210_DT_PID_P.Saturation_UpperSat
	  section.data(30).logicalSrcIdx = 29;
	  section.data(30).dtTransOffset = 138;
	
	  ;% Model210_DT_PID_P.Saturation_LowerSat
	  section.data(31).logicalSrcIdx = 30;
	  section.data(31).dtTransOffset = 139;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 1;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (Model210_DT_PID_B)
    ;%
      section.nData     = 12;
      section.data(12)  = dumData; %prealloc
      
	  ;% Model210_DT_PID_B.SFunction
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% Model210_DT_PID_B.scale1
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 5;
	
	  ;% Model210_DT_PID_B.scale2
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 8;
	
	  ;% Model210_DT_PID_B.UnitDelay
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 9;
	
	  ;% Model210_DT_PID_B.C
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 10;
	
	  ;% Model210_DT_PID_B.Gpf
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 11;
	
	  ;% Model210_DT_PID_B.Sum3
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 12;
	
	  ;% Model210_DT_PID_B.DiscreteFilter
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 13;
	
	  ;% Model210_DT_PID_B.DiscreteFilter1
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 14;
	
	  ;% Model210_DT_PID_B.Sum2
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 15;
	
	  ;% Model210_DT_PID_B.Saturation
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 16;
	
	  ;% Model210_DT_PID_B.DigitalClock1
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 17;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 2;
    sectIdxOffset = 1;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (Model210_DT_PID_DWork)
    ;%
      section.nData     = 6;
      section.data(6)  = dumData; %prealloc
      
	  ;% Model210_DT_PID_DWork.UnitDelay_DSTATE
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% Model210_DT_PID_DWork.DiscreteFilter_DSTATE
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% Model210_DT_PID_DWork.DiscreteFilter1_DSTATE
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% Model210_DT_PID_DWork.DiscreteFilter_tmp
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% Model210_DT_PID_DWork.Derivative_RWORK.TimeStampA
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
	  ;% Model210_DT_PID_DWork.Derivative2_RWORK.TimeStampA
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 5;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% Model210_DT_PID_DWork.ToWorkspace4_PWORK.LoggedData
	  section.data(1).logicalSrcIdx = 6;
	  section.data(1).dtTransOffset = 0;
	
	  ;% Model210_DT_PID_DWork.ToWorkspace3_PWORK.LoggedData
	  section.data(2).logicalSrcIdx = 7;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 225958205;
  targMap.checksum1 = 1009266976;
  targMap.checksum2 = 2749939629;
  targMap.checksum3 = 3710901720;

